Questions about the management of packages, in particular the `dpkg` system.

learn more… | top users | synonyms (4)

12
votes
5answers
973 views

Any way to get a fresh ubuntu desktop without re-installing?

I don't want to wipe my hard drive. I just want to get rid of all the extra software I've installed over time, and return to a prisitine, default system.
9
votes
4answers
5k views

How to rollback to PHP 5.2?

I have just installed a 10.04 LTS on my development server but the system that I need to run on it (Magento ecommerce) is not compatible with PHP 5.3 which ships with the newest version of Ubuntu. Is ...
8
votes
2answers
979 views

Why does apt think it needs this extra dependency?

I'm working on some machine setup instructions, and I was surprised to find out that apt-get install A B can behave differently than apt-get install A && apt-get install B. My specific ...
8
votes
3answers
595 views

Search Launchpad for PPAs matching software or package name?

Is there a way to search though LaunchPad's PPAs for a certain package name? For instance if I was looking for PPAs with Firefox packages I could search for "firefox" and retrieve a list of all the ...
7
votes
3answers
6k views

Install a different version of a package

I'm running lucid server and have installed tomcat. The version it installed is 6.0.24-2ubuntu1.6. Is this the version I'm tied to? Is it possible to install a more recent version? The one available ...
6
votes
1answer
19k views

How to test if package is installed? [duplicate]

Possible Duplicate: How can I check if a package is installed (no superuser privileges) I want a shell script method to test/report if a package is installed. I don't need details, only a ...
6
votes
2answers
762 views

How do I get the bleeding edge Chromium?

The following versions of Chromium are available at the moment : Chromium Stable PPA (13.0.782.218) Chromium Beta PPA (14.0.835.126) Ubuntu Repo (14.0.835.202) Chromium Dev PPA (15.0.865.0) Chromium ...
5
votes
5answers
1k views

Why not all Linux packages/software come in .deb format? [closed]

A .deb package is very easy to install, just like .exe in Windows, simply double click and install via USC. I wonder why some developers choose formats like .tar.gz (it scares the hell out of me) ...
19
votes
4answers
2k views

Is there a difference between installing an application via Ubuntu Software Center or a terminal?

I would like to ask a very basic question but I have never thought about it before. Well, when someone installs an application from terminal, he has to add the repository first, right? On the other ...
19
votes
2answers
357 views

Is there a congrats ubuntu page?

Say for example I use a particular package and want to say "Way to go maintainers" is there a way for me to do this?
10
votes
1answer
15k views

What does apt-get --fix-missing do and when is it useful?

From the man page: -m, --ignore-missing, --fix-missing Ignore missing packages; if packages cannot be retrieved or fail the integrity check after retrieval (corrupted package files), hold back ...
10
votes
2answers
4k views

Cant run FoxitReader after installing it

I'm trying to install Foxit reader. I've downloaded the .deb, opened with Ubuntu Software Center (or gdebi, etc) and clicked install. The progress bar do her job and an icon appears when I search ...
9
votes
3answers
3k views

How do I add/create a <source.changes> file?

I have created a package with Quickly and also i have uploaded it to a brach on launchpad, but how can i create a ppa for that program and upload to it? i'm really new to these stuff, i just learned ...
6
votes
2answers
4k views

I think a PPA update broke my system. What can I do?

A few weeks ago I installed ppa:ricotz/testing on Ubuntu 11.10. It worked fine then, but since a recent upgrade, trying to launch GTK applications results in lots of cryptic errors. Can I revert all ...
6
votes
1answer
183 views

Why are the hidden settings-folders not deleted when purging an application?

I did sudo apt-get remove --purge for several packages, but apparently the personal settings are kept. Is there a command or tool to delete them automatically?
5
votes
4answers
23k views

How to configure Software Center to work with HTTP proxy?

I installed Ubuntu 12.04 LTS using the Windows installer (Wubi) yesterday. And then I tried to install Chrome, Flash player, etc., but nothing worked. Then I tried installing some random package using ...
5
votes
2answers
4k views

'adobe-flashplugin conflicts with flashplugin-downloader' error while trying to install adobe-flashplugin

I'm having some hard time getting straight with my adobe flash plugin. $ sudo apt-get remove --purge adobe-flashplugin flashplugin* nspluginwrapper Reading package lists... Done Building dependency ...
4
votes
1answer
5k views

How to install Cairo 1.8.10

The package libcairo2-dev is the latest version of the Cairo graphics library (1.10.2). Is there any way I can install version 1.8.10? I'm running 11.10, but would be interested in a general solution ...
4
votes
2answers
2k views

Remove recommended packages

By mistake I forgot to add --no-install-recommends flag to my apt-get install command, is there a way to purge those recommended packages after they've been installed?
3
votes
4answers
3k views

How do I create a .deb file?

Yes, I know that this question has been asked many times before, but none of the answers really helped. I'd like to package the Minecraft launcher (which has no proprietary code, AFAIK,) into a .deb ...
3
votes
5answers
6k views

How to list all my packages from command line which can show package name, license, source url, etc?

How to get all the installed package list with there license, source url? Such as following only shows name of the package only. $ dpkg --get-selections acpi-support install acpid ...
2
votes
3answers
23k views

How do I install the build dependencies for Android?

I'm trying build the Android source using these packages. ButI am getting this error: $ sudo apt-get install git-core gnupg flex bison gperf build-essential zip curl zlib1g-dev gcc-multilib ...
1
vote
4answers
5k views

Installing skype will not work - skype-bin not installable, and 'held broken packages'

So, I am trying to install skype through apt-get, but after running into this problem multiple times, and trying to find a solution, it still doesn't work... I tried all the answers here: Installing ...
20
votes
3answers
7k views

What does it mean that a package is “set to manually installed?”

When packages are already installed and I run an apt-get install <package-name>, sometimes it will print a line <package-name> is set to manually installed. What does that mean?
12
votes
5answers
768 views

zsh man page documentation missing in packages?

I have a newly installed xubuntu 13.10 x64. I decided to install zsh via synaptic and make it my default shell. The installed zsh's version is: zsh 5.0.2 (x86_64-pc-linux-gnu). The installed zsh ...
12
votes
1answer
1k views

Apport support for non ubuntu packages

I have been reading about apport and its usage for a week by now. But could not understand the below things. Scenario: I have developed an application and packaged it. And its name is MyApp.deb. The ...
10
votes
4answers
391 views

How do I list commands a package provides? [duplicate]

I'm curious what commands a certain package provides my system with. By command, I mean an in-path executable that I can run from the command line (ls, grep, sed, etc). I'm not trying to work out the ...
10
votes
1answer
576 views

Authentication problem with my PPA

I created a package and uploaded it to my PPA. After it got built, I went to install it, but was faced with this message: ******@******-laptop:~$ sudo apt-get install stackapplet Reading package ...
7
votes
1answer
6k views

Update Manager says 'Not all updates can be installed'

I have 11.04 installed with Gnome 3 and everything was working fine until I tried to run the update manager. Now I can't update any of my packages. A similar question was posted awhile ago but no ...
6
votes
3answers
548 views

Why do many GNOME application packages depend on `libunity9`?

When investigating this question, I discovered that many GNOME applications' packages depend on the libunity9 package. If I try to uninstall libunity9 on Precise, it tries to uninstall lots of ...
6
votes
2answers
823 views

Are any programs not safe to uninstall?

As we know, Ubuntu comes with a lot installed on it. Many of them I either don't know what it does or just don't use. Which applications are safe to uninstall? I use mainly the basic stuff, FireFox, ...
5
votes
2answers
267 views

How to download all repository using apt-get?

Is there any way to just download all Ubuntu repositories using apt-get? I am looking for something like : sudo apt-get install --download-only * So that I can access the downloaded repository in ...
5
votes
2answers
362 views

Write List of Packages installed via Manual Invocation of apt-get to File

I'm trying to install a new version of Ubuntu from scratch, but I would like a list of the packages which I manually installed (as opposed to installed as a dependency or that came with the system). ...
5
votes
6answers
2k views

Why does removing Firefox install another browser?

I want to remove firefox (with sudo apt-get purge firefox*) but without installing the epiphany browser. how to do it? PS : I want to remove firefox becouse I want to use and only use google-chrome ...
5
votes
1answer
4k views

How to recover dpkg from corrupted downloads?

I just upgraded to the 10.10 RC earlier and had a few problems with graphic drivers (x didnt start) But i have remedied that now. When i run 'sudo apt-get install -f' i get this: ...
4
votes
1answer
2k views

How to update ubuntu's python with latest version from source?

I'm using Ubuntu 11.10. The python 2.7.2 provided has a bug that has been corrected in the latest 2.7.2 sources from the python repository. What is the recommended way to replace the ubuntu provided ...
4
votes
1answer
13k views

How to install a tar.bz2 package

How can I install a tarbz2 package. Example: I have downloaded firefox 8 tar.bz2 . I want to know a general method for installation of tar.bz2 package.
3
votes
2answers
1k views

Downgrade a bunch of packages

Maybe you have installed packages from a PPA or an external source (e.g. downloaded a .deb for a package that is available through the Ubuntu repos.). Then you decide to drop these upgraded versions ...
3
votes
1answer
1k views

What factors should be considered when installing packages manually?

I have seen many packages' readme or install files on instructing how to install a package manually. But many times the results are erroneous. They instruct us to do many thing with for example the ...
3
votes
2answers
5k views

Creating a script to install software after a clean install?

I find myself moving between multiple new machines lately (new laptop, new computer at work, etc.). I want to create a bash script to install all the software I use. Ninite is not reach enough. I have ...
3
votes
2answers
2k views

“Failed to load the package list”

When attempting to remove, install or update software through the Ubuntu Software Center, I came upon an error like this... Failed to load the package list This is a serious problem. Try ...
3
votes
1answer
1k views

apt-get : unmet dependencies

I wish to compile vim7.3 with python-interp enabled, which requires python-dev package. The problem is I have python-2.6.6-2ubuntu2 while python-dev requires python-2.6.6-2ubuntu1. (I don't how i got ...
3
votes
2answers
3k views

Package dependency problem (offline install of wireless drivers)

I have a friend wanting to install Ubuntu 10.10 as a dual-boot with Windows through Wubi. Unfortunately, he has a wireless card with a Broadcom chipset, and needs to install the drivers. There is no ...
2
votes
1answer
779 views

Install python packages for specific python version

I understand that in Ubuntu 14.04, you have access to both python 2.7.6 and python 3.4.0. When getting python packages through the command line, how do I make sure that I am installing packages meant ...
2
votes
2answers
3k views

When attempting upgrade from 13.10 to 14.04 upgrade halted at “aborting samba-libs preinst” [closed]

During the upgrade process the upgrade process halted and I can not restart the updater. It seems to be related to samba. I ran sudo apt-get install -f and got the following result: Reading package ...
2
votes
3answers
4k views

Problem with package installation - linux-image-server

I know similar issues have been resolved, but I'm kind of stuck. I ran out of space on / partition and needed to remove some packages since apt-get remove, autoremove and clean were not able to do ...
2
votes
4answers
7k views

How to delete all desktop environments except Unity?

I am using Ubuntu 12.04 with many desktop environments like Unity,Gnome,Lubuntu,Xubuntu , Cinnamon and many . Now i'd like to remove all except Ubuntu because they all are messing with my main unity ...
2
votes
1answer
612 views

How do I save Updates/Installed Packages?

So I've been messing with thing that probably shouldn't be messed with trying to learn my way around Linux, and I seem to have messed something up. I'm getting a lot of error messages, reduced speed, ...
2
votes
4answers
1k views

Broken Package error after updating

I updated my system using the Update Manager and now I am getting a Broken Package error. I went into Synaptic Package Manager and clicked on Fix Broken Packages but then I got this error. E: ...
1
vote
1answer
2k views

Resolve Unmet dependencies

vikiboy@BatCave:~$ sudo apt-get install ros-indigo-openni-launch Reading package lists... Done Building dependency tree Reading state information... Done ros-indigo-openni-launch is already ...